commit: c837a2860774848fedab985c23d0d3532afc1d17
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 3 05:11:12 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct 3 05:37:48 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c837a286
dev-python/google-api-core: Bump to 2.25.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/google-api-core/Manifest | 1 +
.../google-api-core/google-api-core-2.25.2.ebuild | 60 ++++++++++++++++++++++
2 files changed, 61 insertions(+)
diff --git a/dev-python/google-api-core/Manifest
b/dev-python/google-api-core/Manifest
index 52a8fa8838bd..00669f28fd85 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -1 +1,2 @@
DIST python-api-core-2.25.1.gh.tar.gz 210551 BLAKE2B
32f631ba3ecc01d9c903add37253fc53951615bebb018e12fdd188be4eaed6a03e5b4545f47e6f0dce03b85b98a3e2dcc2576bc295cae34d0ea5b430a59cd40b
SHA512
dba10e287ded497690437e701cb3fa8703fb87c4e52d80f84014fbede52d43168c8e575a969b97922e389598143d0afc0a9d9326b70810f5f4c249a75fc6bdf9
+DIST python-api-core-2.25.2.gh.tar.gz 211677 BLAKE2B
7c3b6a0429b20e2baca8f1c3ebab77c5956807be9deb8676b5af3ca8880b7275693bda07d81aeb8a6388ec03299e853311079e6ef5b6f8125a6855772d60e9cf
SHA512
24f2715f8ef52318619d076416975644c888d1d7ee4967de885ba975a3ff5519c0b2a69ee9995054f19e301340bbaacf1784f7d2364d04c42c1992acb1f9b8f7
diff --git a/dev-python/google-api-core/google-api-core-2.25.2.ebuild
b/dev-python/google-api-core/google-api-core-2.25.2.ebuild
new file mode 100644
index 000000000000..7a2b30b29e5c
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.25.2.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1
+
+MY_P=python-api-core-${PV}
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="
+ https://github.com/googleapis/python-api-core/
+ https://pypi.org/project/google-api-core/
+ https://googleapis.dev/python/google-api-core/latest/index.html
+"
+SRC_URI="
+ https://github.com/googleapis/python-api-core/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="grpc"
+
+RDEPEND="
+ >=dev-python/googleapis-common-protos-1.56.2[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/proto-plus-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-3.19.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ grpc? (
+ >=dev-python/grpcio-1.49.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.49.1[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ >=dev-python/grpcio-1.49.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.49.1[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-asyncio )
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # The grpc_gcp module is missing to perform a stress test
+ tests/unit/test_grpc_helpers.py
+)
+
+python_test() {
+ rm -rf google || die
+ epytest tests
+}